GMX-POLYSTAT(1)

NAME
gmx-polystat - Calculate static properties of polymers

SYNOPSIS

gmx polystat [-s [<.tpr>]] [-f [<.xtc/.trr/...>]] [-n [<.ndx>]]
             [-o [<.xvg>]] [-v [<.xvg>]] [-p [<.xvg>]] [-i [<.xvg>]]
             [-b <time>] [-e <time>] [-dt <time>] [-tu <enum>]
             [-[no]w] [-xvg <enum>] [-[no]mw] [-[no]pc]

DESCRIPTION

gmx polystat plots static properties of polymers as a function of time and prints the average.

By default it determines the average end-to-end distance and radii of gyration of polymers. It asks for an index group and split this into molecules. The end-to-end distance is then determined using the first and the last atom in the index group for each molecules. For the radius of gyration the total and the three principal components for the average gyration tensor are written. With option -v the eigenvectors are written. With option -pc also the average eigenvalues of the individual gyration tensors are written. With option -i the mean square internal distances are written.

With option -p the persistence length is determined. The chosen index group should consist of atoms that are consecutively bonded in the polymer mainchains. The persistence length is then determined from the cosine of the angles between bonds with an index difference that is even, the odd pairs are not used, because straight polymer backbones are usually all trans and therefore only every second bond aligns. The persistence length is defined as number of bonds where the average cos reaches a value of 1/e. This point is determined by a linear interpolation of log(<cos>).

OPTIONS

Options to specify input files:

-s [<.tpr>] (topol.tpr)
    Portable xdr run input file

-f [<.xtc/.trr/…>] (traj.xtc)
    Trajectory: xtc trr cpt gro g96 pdb tng

-n [<.ndx>] (index.ndx) (Optional)
    Index file

    Options to specify output files:

-o [<.xvg>] (polystat.xvg)
    xvgr/xmgr file

-v [<.xvg>] (polyvec.xvg) (Optional)
    xvgr/xmgr file

-p [<.xvg>] (persist.xvg) (Optional)
    xvgr/xmgr file

-i [<.xvg>] (intdist.xvg) (Optional)
    xvgr/xmgr file

    Other options:

-b <time> (0)
    Time of first frame to read from trajectory (default unit ps)

-e <time> (0)
    Time of last frame to read from trajectory (default unit ps)

-dt <time> (0)
    Only use frame when t MOD dt = first time (default unit ps)

-tu <enum> (ps)
    Unit for time values: fs, ps, ns, us, ms, s

-[no]w (no)
    View output .xvg, .xpm, .eps and .pdb files

-xvg <enum> (xmgrace)
    xvg plot formatting: xmgrace, xmgr, none

-[no]mw (yes)
    Use the mass weighting for radii of gyration

-[no]pc (no)
    Plot average eigenvalues

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2018, GROMACS development team